package com.ruoyi.ss.transactionBill.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author wjh
 * 2024/8/15
 */
@Data
public class EndSmartUseDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单不允许为空")
    private Long billId;

    @ApiModelProperty("总用电量")
    @Min(value = 0, message = "总用电量不允许小于0")
    private BigDecimal totalEle;

}
